# Gimp.Drawable.prototype.hue_saturation

    function hue_saturation(hue_range: Gimp.HueRange, hue_offset: Number(gdouble), lightness: Number(gdouble), saturation: Number(gdouble), overlap: Number(gdouble)): Boolean {
        // Gjs wrapper for gimp_drawable_hue_saturation()
    }

Modify hue, lightness, and saturation in the specified drawable.

This procedure allows the hue, lightness, and saturation in the specified drawable to be modified. The 'hue-range' parameter provides the capability to limit range of affected hues. The 'overlap' parameter provides blending into neighboring hue channels when rendering.

Since 2.10

hue_range

  Range of affected hues.

hue_offset

  Hue offset in degrees.

lightness

  Lightness modification.

saturation

  Saturation modification.

overlap

  Overlap other hue channels.

Returns

  TRUE on success.